
%global meadversion 3.0.0
%global namedversion 3.0.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jakarta-authentication-api}
%{!?scl:%global pkg_name %{name}}

%define maven_version 3.0.0.redhat-00001

Name:           %{?scl_prefix}jakarta-authentication-api
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jakarta Authentication
Group:          Development/Java

%if %with mead
Source100: authentication-parent-3.0.0.redhat-00001-project-sources.tar.gz
Source102: jakarta.authentication-api-3.0.0.redhat-00001-sources.jar
Source103: jakarta.authentication-api-3.0.0.redhat-00001.pom
Source104: jakarta.authentication-api-3.0.0.redhat-00001-javadoc.jar
Source105: jakarta.authentication-api-3.0.0.redhat-00001-project-sources.tar.gz
Source106: jakarta.authentication-api-3.0.0.redhat-00001.jar
%endif

License:        EPL-2.0 or GPLv2 with exceptions
URL:            https://github.com/eclipse-ee4j/authentication
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jakarta-authentication-api-%{namedversion}-%{release}-root

%description
 Jakarta Authentication defines a general low-level SPI for authentication mechanisms,
 which are controllers that interact with a caller and a container's environment to obtain the caller's credentials,
 validate these, and pass an authenticated identity (such as name and groups) to the container.
 Jakarta Authentication consists of several profiles,
 with each profile telling how a specific container (such as Jakarta Servlet) can integrate with- and adapt to this SPI.
%if %with javadoc
%package javadoc
Summary:        Javadoc for jakarta-authentication-api
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n authentication-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jakarta.authentication-api-%{namedversion}.jar %{buildroot}%{_javadir}/jakarta.authentication-api-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/jakarta.authentication-api-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jakarta.authentication-api-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/jakarta.authentication-api-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jakarta.authentication-api-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jakarta-authentication-api-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jakarta.authentication-api-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jakarta-authentication-api-%{namedversion} -x META-INF/\*
%{__ln_s} jakarta-authentication-api-%{namedversion} %{buildroot}%{_javadocdir}/jakarta-authentication-api
%endif

%clean
%{__rm} -rf %{buildroot}

%files -n %{?scl_prefix}jakarta-authentication-api
%defattr(0644,root,root,0755)
%doc CONTRIBUTING.md LICENSE.md NOTICE.md README.md
%{_javadir}/jakarta.authentication-api-%{namedversion}.jar
%{_javadir}/jakarta.authentication-api.jar
%if %with javadoc
%{_javadir}/jakarta.authentication-api-%{namedversion}-javadoc.jar
%{_javadir}/jakarta.authentication-api-javadoc.jar
%endif
%{_javadir}/jakarta.authentication-api-%{namedversion}-sources.jar
%{_javadir}/jakarta.authentication-api-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jakarta-authentication-api-%{namedversion}
%{_javadocdir}/jakarta-authentication-api
%endif

%changelog
* Tue Dec 20 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-2.redhat_00001.1
- Built by CPaaS

* Tue Oct 11 2022 cpaas-ops <cpaas-ops@redhat.com> - 3.0.0-1.redhat_00001.1
- Built by CPaaS

* Sat Oct 08 2022 Yong Yang <yyang@redhat.com> - 3.0.0-1.redhat_00001.1
- 3.0.0.redhat-00001
